
TYPO3.Neos - Bug # 45542

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Pankaj Lele Category: Content Model
Created: 2013-02-17 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Workspace module breaks with error
Description

Workspace module breaks with error:

Argument 1 passed to TYPO3\TYPO3CR\Domain\Model\Node_Original::createProxyForContextIfNeeded() must implement interface
TYPO3\TYPO3CR\Domain\Model\NodeInterface, null given, called in
/XX/Data/Temporary/Production/Cache/Code/Flow_Object_Classes/TYPO3_TYPO3CR_Domain_Model_Node_Original.php on line
406 and defined",
"/XX/Data/Temporary/Production/Cache/Code/Flow_Object_Classes/TYPO3_TYPO3CR_Domain_Model_Node_Original.php

This error is seen when I deleted a page node from the tree and when I went to publish this deletion in Management->Workspaces
this error is seen and I am just locked.

Related issues:
related to TYPO3.TYPO3CR - Task # 46401: Workspace module breaks when having ... Closed 2013-03-18

History
#1 - 2013-04-10 21:32 - Aske Ertmann
- Status changed from New to Accepted
- Parent task set to #45020

#2 - 2013-04-11 07:58 - Adrian Föder

+1, I also have this when cutting and pasting a node, for example. When pasting, the XHR fails with 500, and when reloading the whole page, that
"huge" exception occurs preventing one to even clean thing up.

#3 - 2013-05-17 13:34 - Tim Kandel
- Assigned To set to Tim Kandel

#4 - 2013-05-17 14:16 - Tim Kandel
- Status changed from Accepted to Needs Feedback

I cannot reproduce the original error anymore (and neither can Pankaj). I suppose this has been fixed by something else by now.
@Adrian: cut, copy and paste are not working at all right now, so I can't reproduce your bug. could you check again when they are fixed if this still
occurs?

#5 - 2013-09-30 11:41 - Aske Ertmann
- Status changed from Needs Feedback to Rejected
- Assigned To deleted (Tim Kandel)
- % Done changed from 0 to 100
#6 - 2013-09-30 13:03 - Pankaj Lele

Please close this. I couldn't.

#7 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Rejected to Closed
